SimplePopulation (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.impl.SimplePopulation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.impl
Class SimplePopulation

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojavax.ga.impl.AbstractPopulation
              org.biojavax.ga.impl.SimplePopulation

All Implemented Interfaces:
  Changeable, Population

    public final class SimplePopulation

extends AbstractPopulation

Simple concrete implementation of the `Population` interface

Internally the SimplePopulation store Organisms in a HashMap

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Field Summary

Fields inherited from interface org.biojavax.ga.Population
`NAME, ORGANISMS`

Constructor Summary
`SimplePopulation()`
`SimplePopulation(String name)`

Method Summary
`protected void` | `addOrganismImpl(Organism orgToAdd)`
`Organism` | `getOrganismByName(String name)` Gets the specified organism
`Set` | `getOrganisms()` Gets the Set of Organisms
`Iterator` | `organisms()`
`protected void` | `removeAllOrganismsImpl()`
`protected void` | `removeOrganismImpl(Organism orgToRemove)`
`int` | `size()` Gets the Size of the population

Methods inherited from class org.biojavax.ga.impl.AbstractPopulation
`addOrganism, addOrganisms, addOrganisms, addOrganisms, getName, removeAllOrganisms, removeOrganism, removeOrganisms, removeOrganisms, setName`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimplePopulation

    public SimplePopulation(String name)

### SimplePopulation

    public SimplePopulation()

Method Detail

### addOrganismImpl

    protected void addOrganismImpl(Organism orgToAdd)
                            throws IllegalOrganismException

  Specified by:
    `addOrganismImpl` in class `AbstractPopulation`
  Throws:
    `IllegalOrganismException`

### removeOrganismImpl

    protected void removeOrganismImpl(Organism orgToRemove)

  Specified by:
    `removeOrganismImpl` in class `AbstractPopulation`

### removeAllOrganismsImpl

    protected void removeAllOrganismsImpl()

  Specified by:
    `removeAllOrganismsImpl` in class `AbstractPopulation`

### getOrganismByName

    public Organism getOrganismByName(String name)

  Description copied from interface: `Population`
  Gets the specified organism

  Parameters:
    `name` - the name of the organism to retreive
  Returns:
    the organism named or null if that organism doesn't exist.

### size

    public int size()

  Description copied from interface: `Population`
  Gets the Size of the population

  Returns:
    the size

### organisms

    public Iterator organisms()

  Returns:
    an iterator over the set of Organisms.

### getOrganisms

    public Set getOrganisms()

  Description copied from interface: `Population`
  Gets the Set of Organisms

  Returns:
    a Set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD